SSSD(8)

NAME
sssd - System Security Services Daemon

SYNOPSIS

sssd [options]

DESCRIPTION

SSSD fournit un jeu de démons pour gérer l'accès à des dossiers distants et les mécanismes d'authentification. Il fournit une interface NSS et PAM au travers du système et un moteur système extensible par greffons pour se connecter à de multiples comptes de sources différentes en plus d'une interface D-Bus. C'est aussi un moyen de fournir un moyen d'audit client et une politique de services pour les projets tels que FreeIPA. Il fournit une base de donnée plus robuste pour stocker les utilisateurs locaux ainsi que les données étendues des utilisateurs.

OPTIONS

-d,--debug-level LEVEL
    SSSD supports two representations for specifying the debug level. The simplest is to specify a decimal value from 0-9, which represents enabling that level and all lower-level debug messages. The more comprehensive option is to specify a hexadecimal bitmask to enable or disable specific levels (such as if you wish to suppress a level).

    Please note that each SSSD service logs into its own log file. Also please note that enabling “debug_level” in the “[sssd]” section only enables debugging just for the sssd process itself, not for the responder or provider processes. The “debug_level” parameter should be added to all sections that you wish to produce debug logs from.

    In addition to changing the log level in the config file using the “debug_level” parameter, which is persistent, but requires SSSD restart, it is also possible to change the debug level on the fly using the sss_debuglevel(8) tool.

    Niveaux de débogage actuellement pris en charge :

    0, 0x0010 : défaillances fatales. Tout ce qui empêcherait SSSD de démarrer ou provoquerait son arrêt.

    1, 0x0020: Critical failures. An error that doesn't kill SSSD, but one that indicates that at least one major feature is not going to work properly.

    2, 0x0040 : défaillances graves. Une erreur qui annonce qu'une requête particulière ou une opération a échoué.

    3, 0x0080 : erreurs mineures. Ce sont les erreurs qui seraient susceptibles d'empirer pour provoquer l'erreur en 2.

    4, 0x0100 : paramètres de configuration.

    5, 0x0200 : données de fonctionnement.

    6, 0x0400 : traçage des fonctions opérationnelles.

    7, 0x1000 : traçage des fonctions de contrôles internes.

    8, 0x2000 : contenu des variables internes de fonctions pouvent être intéressantes.

    9, 0x4000 : informations de traçage de bas niveau.

    To log required bitmask debug levels, simply add their numbers together as shown in following examples:

    Exemple : pour suivre erreurs fatales, critiques, graves et les données de fonction, utiliser 0x0270.

    Exemple : pour consigner les erreurs fatales, les paramètres de configuration, les données de fonction, les messages de trace pour les fonctions de contrôle interne, utiliser 0x1310.

    Note : le format des niveaux de débogage a été introduit dans la version 1.7.0.

    Par défaut : 0

--debug-timestamps=mode
    1 : Ajouter un horodatage aux messages de débogage

    0 : Désactiver l'horodatage dans les messages de débogage

    Par défaut : 1

--debug-microseconds=mode
    1 : Ajouter les microsecondes à l'horodatage dans les messages de débogage

    0 : Désactiver les microsecondes dans l'horodatage

    Par défaut : 0

-f,--debug-to-files
    Envoie la sortie de débogage vers des fichiers plutôt que vers la sortie d'erreur standard. Par défaut, les fichiers de sortie sont stockés dans /var/log/sssd et des fichiers différents sont créés pour chaque service et domaine SSSD.

    This option is deprecated. It is replaced by --logger=files.

--logger=value
    Location where SSSD will send log messages. This option overrides the value of the deprecated option --debug-to-files. The deprecated option will still work if the --logger is not used.

    stderr: Redirect debug messages to standard error output.

    files: Redirect debug messages to the log files. By default, the log files are stored in /var/log/sssd and there are separate log files for every SSSD service and domain.

    journald: Redirect debug messages to systemd-journald

    Par défaut : non défini

-D,--daemon
    Devenir un démon après le démarrage.

-i,--interactive
    Tourner en avant-plan et ne pas devenir un démon.

-c,--config
    Définit un fichier de configuration autre que celui par défaut (/etc/sssd/sssd.conf). Pour obtenir des informations sur la syntaxe et les options du fichier de configuration, consulter les pages de manuel de sssd.conf(5).

-?,--help
    Affiche l'aide et quitte.

--version
    Afficher le numéro de version et quitter.

SIGNAUX

SIGTERM/SIGINT
    Indique à SSSD de fermer normalement tous ses processus fils puis d'arrêter le moniteur.

SIGHUP
    Précise à SSSD de ne plus écrire vers son fichier de débogage actuel, de le fermer et de le rouvrir. Cela permet de faciliter les rotations de fichiers de sortie avec des programmes tels que logrotate.

SIGUSR1
    Tells the SSSD to simulate offline operation for the duration of the “offline_timeout” parameter. This is useful for testing. The signal can be sent to either the sssd process or any sssd_be process directly.

SIGUSR2
    Tells the SSSD to go online immediately. This is useful for testing. The signal can be sent to either the sssd process or any sssd_be process directly.

NOTES

If the environment variable SSS_NSS_USE_MEMCACHE is set to "NO", client applications will not use the fast in memory cache.

VOIR AUSSI

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/